# Uses of Interface
org.jboss.modules.management.ModuleLoaderMXBean

Packages that use ModuleLoaderMXBean
Package
Description
org.jboss.modules.management
Management interfaces for utilizing JBoss Modules via an MBean container.

## Uses of ModuleLoaderMXBean in org.jboss.modules.management

Methods in org.jboss.modules.management that return ModuleLoaderMXBean
Modifier and Type
Method
Description
`ModuleLoaderMXBean`
DependencyInfo.`getModuleLoader()`
Get the module loader MXBean of this dependency.
`ModuleLoaderMXBean`
ModuleInfo.`getModuleLoader()`
Get the associated module loader MXBean.
Constructors in org.jboss.modules.management with parameters of type ModuleLoaderMXBean
Modifier
Constructor
Description
``
`DependencyInfo(String dependencyType, String exportFilter, String importFilter, ModuleLoaderMXBean moduleLoader, String moduleName, boolean optional, String localLoader, List<String> localLoaderPaths)`
Construct a new instance.
``
`ModuleInfo(String name, ModuleLoaderMXBean moduleLoader, List<DependencyInfo> dependencies, List<ResourceLoaderInfo> resourceLoaders, String mainClass, String classLoader, String fallbackLoader)`
Construct a new instance.